summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJörg Frings-Fürst <debian@jff-webhosting.net>2021-04-30 19:47:09 +0200
committerJörg Frings-Fürst <debian@jff-webhosting.net>2021-04-30 19:47:09 +0200
commit93500879a52aa00d32bb85e0fa69bacea84c883c (patch)
treef8f9aaf3812cdec0d5f343c8bf3c0944e5131d99
parent16c8a051da41637d15bef40ec5e3bc29ebaf0a22 (diff)
Fix package doesn't purge cleanly (user/group not purged)
-rw-r--r--debian/changelog3
-rw-r--r--debian/sane-utils.postrm9
2 files changed, 12 insertions, 0 deletions
diff --git a/debian/changelog b/debian/changelog
index 8fa3c1d..8483a9d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -35,6 +35,9 @@ sane-backends (1.0.32-1) UNRELEASED; urgency=medium
* Declare compliance with Debian Policy 4.5.1 (No changes needed).
* Fix FTCBFS: Annotate python3-minimal dependency :any. (Closes: #984747).
- Thanks to Helmut Grohne <helmut@subdivi.de>.
+ * debian/sane-utils.postrm:
+ - Fix package doesn't purge cleanly (user/group not purged)
+ (Closes: #987837).
-- Jörg Frings-Fürst <debian@jff.email> Tue, 16 Feb 2021 18:26:03 +0100
diff --git a/debian/sane-utils.postrm b/debian/sane-utils.postrm
index 275eee6..20d95a7 100644
--- a/debian/sane-utils.postrm
+++ b/debian/sane-utils.postrm
@@ -51,6 +51,15 @@ if [ "$1" = purge ] ; then
rm -f /var/run/saned.pid
fi
+#
+# remove user / group
+#
+ pathfind deluser || true
+ if [ $? = 0 ] ; then
+ deluser -q --group --system saned || true
+ deluser -q --group --system scanner || true
+ deluser -q --system --remove-all-files saned || true
+ fi
fi